import 'package:hmg_patient_app/core/viewModels/project_view_model.dart';
import 'package:hmg_patient_app/models/LiveCare/LiveCareScheduleClinicsListResponse.dart';
import 'package:hmg_patient_app/theme/colors.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ScheduleClinicCard extends StatefulWidget {
  bool? isSelected;
  final ClinicsHaveScheduleList clinicsHaveScheduleList;
  var languageID;

  ScheduleClinicCard({this.isSelected, this.languageID, required this.clinicsHaveScheduleList});

  @override
  _ScheduleClinicCardState createState() => _ScheduleClinicCardState();
}

class _ScheduleClinicCardState extends State<ScheduleClinicCard> {
  @override
  Widget build(BuildContext context) {
    ProjectViewModel projectViewModel = Provider.of(context);
    return Container(
      width: double.infinity,
      margin: EdgeInsets.fromLTRB(15.0, 0.0, 15.0, 8.0),
      clipBehavior: Clip.antiAlias,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.all(
          Radius.circular(10.0),
        ),
        border: Border.all(width: widget.isSelected! ? 3 : 0, color: widget.isSelected! ? CustomColors.green : Colors.transparent),
        boxShadow: [
          BoxShadow(
            color: Color(0xff000000).withOpacity(.05),
            blurRadius: 27,
            offset: Offset(0, -3),
          ),
        ],
        color: Colors.transparent,
      ),
      child: Container(
        decoration: BoxDecoration(
          color: CustomColors.green,
          borderRadius: BorderRadius.all(
            Radius.circular(6.0),
          ),
        ),
        child: Container(
          margin: EdgeInsets.only(
              left: projectViewModel.isArabic
                  ? 0
                  : widget.isSelected!
                      ? 4
                      : 6,
              right: projectViewModel.isArabic
                  ? widget.isSelected!
                      ? 4
                      : 6
                  : 0),
          padding: EdgeInsets.symmetric(vertical: 10, horizontal: 12),
          decoration: BoxDecoration(
            color: Colors.white,
            border: Border.all(color: Colors.white, width: 1),
            borderRadius: BorderRadius.only(
              bottomRight: projectViewModel.isArabic ? Radius.circular(0) : Radius.circular(10.0),
              topRight: projectViewModel.isArabic ? Radius.circular(0) : Radius.circular(10.0),
              bottomLeft: projectViewModel.isArabic ? Radius.circular(10.0) : Radius.circular(0),
              topLeft: projectViewModel.isArabic ? Radius.circular(10.0) : Radius.circular(0),
            ),
          ),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisSize: MainAxisSize.max,
            children: <Widget>[
              Container(
                child: Text(
                  widget.clinicsHaveScheduleList.clinicDesc ?? "",
                  style: TextStyle(
                    fontSize: 16.0,
                    color: Colors.black,
                    fontWeight: FontWeight.w600,
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
